/*
 * ATRWrapper.java
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * Wrapper class for the adapter/delegate.
 *
 * @see ATRDelegate.asl
 */
public class ATRWrapper
    extends ATRAdapter
{
    public ATRWrapper(Broker.RealTimeAdvocate rta,
		      int period,
		      int deadline)
    {
	long qk_start;
	
	super.rta_Advocate = rta;
	super.rta_Period = period;
	super.rta_Deadline = deadline;
	super.rta_Qosket = this;
    }
}
