/*
 * RTServerWrapper.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _rt_server_wrapper_hh
#define _rt_server_wrapper_hh

#include "BrokerC.h"
#include "RTServerAdapter.h"

class RTServerWrapper : public RTServerAdapter
{

public:

    RTServerWrapper(Broker::RealTimeAdvocate_ptr rta,
		    CORBA::ULong period,
		    CORBA::ULong deadline);

    virtual ~RTServerWrapper();

    RTServer_ptr getRemoteObject(void);

};

#endif
