/*
 * ExactTaskFactory_Quo.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file ExactTaskFactory_Quo.hh
 *
 * Header file for a task factory that produces ExactTaskAdvocate_Quo's.
 */

#ifndef _exact_task_factory_quo_hh
#define _exact_task_factory_quo_hh

#include <TaskFactory_T.hh>

#include "ExactTaskAdvocate_Quo.hh"

/**
 * Typedef for a TaskFactory template that uses the ExactTaskAdvocate_Quo.
 */
typedef class TaskFactoryTemplate<ExactTaskAdvocate_Quo> ExactTaskFactory_Quo;

#endif
